package es.ejie.frmk.infraestructura.utilidades.general;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectStreamClass;

public class Q70ObjectInputStream extends ObjectInputStream {

	
	public Q70ObjectInputStream(InputStream arg0) throws IOException {
		super(arg0);
	}

	protected Class resolveClass(ObjectStreamClass arg0) throws IOException, ClassNotFoundException {
		ClassLoader classLoader = Thread.currentThread().getContextClassLoader(); 
		if (classLoader == null) { 
			classLoader = Q70ObjectInputStream.class.getClassLoader(); 
		} 
		return Class.forName(arg0.getName(), false, classLoader);
	}
}
